Results 1 to 8 of 8

Thread: zypper dup seems to want to nuke my tumbleweed install

  1. #1

    Default zypper dup seems to want to nuke my tumbleweed install

    Hi all,

    I cleaned my repos a bit and wanted to update my system with zypper dup. However, zypper dup wants to uninstall many many packages.

    Here are my repos:

    Code:
    20-10-24 21:20]cbrunos in ~ ➤ zypper lr
    Repository priorities in effect:                                                                                                                                                                              (See 'zypper lr -P' for details)
          90 (raised priority)  :  1 repository   
          99 (default priority) :  5 repositories
    
    # | Alias        | Name         | Enabled | GPG Check | Refresh
    --+--------------+--------------+---------+-----------+--------
    1 | NVIDIA       | NVIDIA       | Yes     | (r ) Yes  | Yes     
    2 | packman      | packman      | Yes     | (r ) Yes  | Yes     
    3 | repo-debug   | repo-debug   | Yes     | (r ) Yes  | Yes     
    4 | repo-non-oss | repo-non-oss | Yes     | (r ) Yes  | Yes     
    5 | repo-oss     | repo-oss     | Yes     | (r ) Yes  | Yes     
    6 | repo-update  | repo-update  | Yes     | (r ) Yes  | Yes    
    
    Here's the terminal output when I want to run zypper dup:

    https://pastebin.com/zLahahtP

    Is it safe to update?

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    27,356

    Default Re: zypper dup seems to want to nuke my tumbleweed install

    Sorry, but the crucial information from your repo list is missing. Please
    Code:
    zypper lr -d
    And better upload to https://susepaste.org/

    I get al sorts of warnings from the site you link to.
    Last edited by hcvv; 24-Oct-2020 at 12:49.
    Henk van Velden

  3. #3
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    14,535
    Blog Entries
    3

    Default Re: zypper dup seems to want to nuke my tumbleweed install

    As hcvv says, we can't tell what repos you have from that limited information.

    Looking at your output, it seems that you have removed a bunch of repos. Since I don't know why you added those repos, I can't tell whether that was a wise move.

    Some of the problems are for libqt4 packages. I'm pretty sure that qt4 was removed from Tumbleweed some time ago. But apparently the packman repo still supports those.

    I have never used "steam" software, so I have no opinion on those.

    What it really boils down to, is that there are decisions that you have to make and that nobody else can make for you.
    openSUSE Leap 15.2; KDE Plasma 5.18.5;

  4. #4

    Default Re: zypper dup seems to want to nuke my tumbleweed install

    Quote Originally Posted by hcvv View Post
    Sorry, but the crucial information from your repo list is missing. Please
    Code:
    zypper lr -d
    And better upload to https://susepaste.org/

    I get al sorts of warnings from the site you link to.
    Here is the info you asked for

    Code:
    # | Alias        | Name         | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                 | Service
    --+--------------+--------------+---------+-----------+---------+----------+--------+---------------------------------------------------------------------+--------
    1 | NVIDIA       | NVIDIA       | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.nvidia.com/opensuse/tumbleweed                     |         
    2 | packman      | packman      | Yes     | (r ) Yes  | Yes     |   90     | rpm-md | http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Tumbleweed/ |         
    3 | repo-debug   | repo-debug   | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/tumbleweed/repo/debug                  |         
    4 | repo-non-oss | repo-non-oss | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/tumbleweed/repo/non-oss                |         
    5 | repo-oss     | repo-oss     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/tumbleweed/repo/oss                    |         
    6 | repo-update  | repo-update  | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/tumbleweed/                     |  
    
    Tried susepaste, but it won't let me continue, I get an error message back saying I'm a spammer. Here is another link: https://justpaste.me/WQXn

  5. #5
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    12,888
    Blog Entries
    2

    Default Re: zypper dup seems to want to nuke my tumbleweed install

    Quote Originally Posted by smithy69420 View Post
    Hi all,

    I cleaned my repos a bit and wanted to update my system with zypper dup. However, zypper dup wants to uninstall many many packages.

    Here are my repos:

    Code:
    20-10-24 21:20]cbrunos in ~ ➤ zypper lr
    Repository priorities in effect:                                                                                                                                                                              (See 'zypper lr -P' for details)
          90 (raised priority)  :  1 repository   
          99 (default priority) :  5 repositories
    
    # | Alias        | Name         | Enabled | GPG Check | Refresh
    --+--------------+--------------+---------+-----------+--------
    1 | NVIDIA       | NVIDIA       | Yes     | (r ) Yes  | Yes     
    2 | packman      | packman      | Yes     | (r ) Yes  | Yes     
    3 | repo-debug   | repo-debug   | Yes     | (r ) Yes  | Yes     
    4 | repo-non-oss | repo-non-oss | Yes     | (r ) Yes  | Yes     
    5 | repo-oss     | repo-oss     | Yes     | (r ) Yes  | Yes     
    6 | repo-update  | repo-update  | Yes     | (r ) Yes  | Yes    
    
    Here's the terminal output when I want to run zypper dup:

    https://pastebin.com/zLahahtP

    Is it safe to update?
    Your pastebin suggests...
    1. You added the packman repository, but you didn't run the command to set your system to pull packages from packman over the OSS whenever possible
    Code:
    zypper dup --from packman
    2. At least for an application (wouldn't know about your system), there is an upgrade from 32-bit to 64-bit. Did an application change architecture?

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  6. #6

    Default Re: zypper dup seems to want to nuke my tumbleweed install

    Hi thanks for the reply, This is what happens when I try to updated :

    https://susepaste.org/63473862

    If I choose to uninstall these packages for which requirements cannot be provided, looks like it's the best solution. What do you think?

  7. #7
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    14,535
    Blog Entries
    3

    Default Re: zypper dup seems to want to nuke my tumbleweed install

    I can't make your decisions for you. However, if it were me then I would probably go ahead with the deinstalling. That would give me a stable system.
    openSUSE Leap 15.2; KDE Plasma 5.18.5;

  8. #8

    Default Re: zypper dup seems to want to nuke my tumbleweed install

    Looks like this was the right approach, I was able to update and re-install these packages without any issues!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •